Release automation bot claims
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "http://127.0.0.1:38765/v1/instances/p0/automation:releaseBotClaims" \ -H "Content-Type: application/json" \ -d '{}'{
"results": [
{
"bot_id": "string",
"account_name": "string",
"success": true,
"message": "string"
}
],
"state": {
"instance_id": "string",
"friendly_name": "string",
"settings": {
"preset": "AUTOMATION_PRESET_UNSPECIFIED",
"team_collaboration": true,
"role_policy": "AUTOMATION_ROLE_POLICY_UNSPECIFIED",
"shared_end_entry": true,
"max_end_bots": 0,
"shared_structure_intel": true,
"shared_target_claims": true,
"objective_override": "AUTOMATION_TEAM_OBJECTIVE_UNSPECIFIED"
},
"objective": "AUTOMATION_TEAM_OBJECTIVE_UNSPECIFIED",
"active_bots": 0,
"shared_block_count": 0,
"claim_count": 0,
"eye_sample_count": 0,
"shared_counts": [
{
"requirement_key": "string",
"display_name": "string",
"current_count": 0,
"target_count": 0
}
],
"shared_blocks": [
{
"observer_bot_id": "string",
"observer_account_name": "string",
"dimension": "string",
"x": 0,
"y": 0,
"z": 0,
"block_id": "string",
"last_seen_at": {
"seconds": 0,
"nanos": 0
}
}
],
"claims": [
{
"key": "string",
"owner_bot_id": "string",
"owner_account_name": "string",
"target": {
"x": 0.1,
"y": 0.1,
"z": 0.1
},
"expires_at": {
"seconds": 0,
"nanos": 0
}
}
],
"eye_samples": [
{
"bot_id": "string",
"account_name": "string",
"origin": {
"x": 0.1,
"y": 0.1,
"z": 0.1
},
"direction": {
"x": 0.1,
"y": 0.1,
"z": 0.1
},
"recorded_at": {
"seconds": 0,
"nanos": 0
}
}
]
}
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}{
"code": 0,
"grpc-code": "string",
"message": "string",
"stack-trace": "string",
"details": [
{}
]
}How is this page?